#ifndef SCRIPTS_H
#define SCRIPTS_H

#include <vector>
#include <string>

class CScripts
{
public:
    CScripts();

    void execute(std::string fileName);

private:
    enum ETargetTypes
    {
        eTargetType_Tile = 0,
        eTargetType_Wall
    };

    void executeLine(std::vector<std::string>& words);
    void executeTarget(std::vector<std::string>& words);
    void executeSetBool(std::vector<std::string>& words);

    ETargetTypes    mTargetType;
    void*   mTarget;
};

extern CScripts    scripts;

#endif // SCRIPTS_H
